Subject: Re: [PATCH net-next 11/12] net: dsa: mv88e6xxx: add Energy Detect ops

From: Andrew Lunn <[email-masked]>
Date: Mon, 17 Jul 2017 23:04:05 +0200

On Mon, Jul 17, 2017 at 01:45:49PM -0700, David Miller wrote:
> From: Vivien Didelot <[email-masked]>
> Date: Mon, 17 Jul 2017 15:32:52 -0400
> 
> > Hi Andrew,
> > 
> > Andrew Lunn <[email-masked]> writes:
> > 
> >> I never liked this. I think it is architecturally wrong for the switch
> >> to be poking around in the PHY. It should ask the PHY driver. This is
> >> especially true for external PHYs which might not be a Marvell PHY.
> > 
> > I share the same concern. However this patch is just isolating the
> > existing code so that we get rid of the last caps and flags and stop
> > writing (without reading them first) arbitrary registers.
> > 
> > Once this portion is moved to the PHY driver, one can remove it from
> > mv88e6xxx.
> 
> Seems a reasonable plan of action.
> 
> Andrew, do you agree?

Hi David

I just fear it will not get fixed, just put into a corner to
fester. Having to fix it properly before these patches are merged
provides some incentive.

	 Andrew